Get RecordSet Errors

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /dataflows/{dataflowId}/recordsets/{recordSetId}/errors

Get errors for the selected RecordSet.

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • recordSetId string Required

    id of the RecordSet

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • _id string

      id of the RecordSet

    • errorMessage string

      Summarized error message

    • errorCode string

      Error code from the connector or driver when one exists, e.g. EPARAM for an mssql parameter validation failure

    • errorStack string

      Detailed error message

    • entityName string

      Owner of the RecordSet

    • entityId string

      ID of the Entity that created this Post Action

    • postActionId string

      The recordset preceeding the one containing the error

    • retries number

      Number of retries the error has been processed

    • failedDate string

      Date of the failure

    • data object

      Data that caused the error within the RecordSe

GET /dataflows/{dataflowId}/recordsets/{recordSetId}/errors
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}/errors' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "_id": "###########",
    "errorMessage": "Validation failed for parameter 'facility_id'. Invalid number.",
    "errorCode": "EPARAM",
    "errorStack": "RequestError: ######",
    "entityName": "########",
    "entityId": "##############",
    "postActionId": "###########",
    "retries": 1,
    "failedDate": "2022-10-13T11:33:14.228Z",
    "data": {}
  }
]